c
c      =======================================================
       subroutine src2(maxmx,maxmy,meqn,mbc,mx,my,xlower,ylower,
     &                 dx,dy,q,maux,aux,t,dt)
c      =======================================================
c
       implicit double precision (a-h,o-z)
       dimension    q(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc, meqn)
       dimension aux(1-mbc:maxmx+mbc,1-mbc:maxmy+mbc, *)

c
c      # dummy subroutine for use when equation has no source term.
c      # If method(5)=0 then this routine is never called, but its
c      # existence may be required by some compilers.
c


c     # project momentum components of q onto tangent plane:

      do i=1-mbc,mx+mbc
        do j=1-mbc, my+mbc
            erx = aux(i,j,14)
            ery = aux(i,j,15)
            erz = aux(i,j,16)
            qn = erx*q(i,j,2) + ery*q(i,j,3) + erz*q(i,j,4)

            q(i,j,2) = q(i,j,2) - qn*erx
            q(i,j,3) = q(i,j,3) - qn*ery
            q(i,j,4) = q(i,j,4) - qn*erz

            enddo
        enddo

       return
       end
